Bug 1758929 - Review Request: perl-WebService-MusicBrainz - Perl interface to search the musicbrainz.org database
Summary: Review Request: perl-WebService-MusicBrainz - Perl interface to search the mu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1758816
TreeView+ depends on / blocked
 
Reported: 2019-10-06 22:00 UTC by Gerald Cox
Modified: 2019-10-26 17:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-18 00:48:22 UTC
dominik: fedora-review+


Attachments (Terms of Use)

Description Gerald Cox 2019-10-06 22:00:26 UTC
Spec URL: https://drive.google.com/open?id=1hfB_UdW3RRCcjuNakjO1JmLPOqNlyMG_
SRPM URL: https://drive.google.com/open?id=1PtkWYNho0kba9RPg693lAt0h2QhnFtal
Description: Perl interface to search the musicbrainz.org database
Fedora Account System Username: gbcox

Comment 1 Dominik 'Rathann' Mierzejewski 2019-10-07 09:16:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
1. Package contains no binaries and should be noarch.

2. License is the same as Perl itself, so License: GPL+ or Artistic should be used per https://fedoraproject.org/wiki/Licensing:Main .

3. Please ask upstream to include license text(s) with the sources.

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 14 files
     have unknown license. Detailed output of licensecheck in
     /home/rathann/build/review/copr-build-1049238/review-perl-WebService-
     MusicBrainz/licensecheck.txt
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-WebService-MusicBrainz-1.0.5-1.fc32.x86_64.rpm
          perl-WebService-MusicBrainz-1.0.5-1.fc32.src.rpm
perl-WebService-MusicBrainz.x86_64: W: invalid-license Artistic
perl-WebService-MusicBrainz.x86_64: E: no-binary
perl-WebService-MusicBrainz.src: W: invalid-license Artistic
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl-WebService-MusicBrainz.x86_64: W: description-shorter-than-summary
perl-WebService-MusicBrainz.x86_64: W: invalid-license Artistic
perl-WebService-MusicBrainz.x86_64: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 3 warnings.



Source checksums
----------------
https://cpan.metacpan.org/authors/id/B/BF/BFAIST/WebService-MusicBrainz-1.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 523b839968206c5751ea9ee670c7892c8c3be0f593aa591a00c0315468d09099
  CHECKSUM(SHA256) upstream package : 523b839968206c5751ea9ee670c7892c8c3be0f593aa591a00c0315468d09099


Requires
--------
perl-WebService-MusicBrainz (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.30.0)
    perl(Mojo::Base)
    perl(Mojo::URL)
    perl(Mojo::UserAgent)
    perl(Mojo::Util)
    perl(WebService::MusicBrainz::Request)
    perl(strict)
    pkgconf-pkg-config



Provides
--------
perl-WebService-MusicBrainz:
    perl(WebService::MusicBrainz)
    perl(WebService::MusicBrainz::Request)
    perl-WebService-MusicBrainz
    perl-WebService-MusicBrainz(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review --copr-build https://copr.fedorainfracloud.org/coprs/gbcox/package_reviews/build/1049238/
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Ocaml, PHP, C/C++, fonts, Haskell, SugarActivity, Java, Python, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Gerald Cox 2019-10-07 16:32:47 UTC
Thanks for the quick review.  I made the requested changes and they are here:

https://drive.google.com/open?id=1QIDIZSvnK0vT_1dsH2A4DGXsJ_kwZARs
https://drive.google.com/open?id=1hfB_UdW3RRCcjuNakjO1JmLPOqNlyMG_

I also, built on COPR so you can use that copy if you prefer:

https://copr.fedorainfracloud.org/coprs/gbcox/package_reviews/build/1049812/

Thanks again!

Comment 3 Gerald Cox 2019-10-07 16:54:36 UTC
Requested license text be included with source files: 
https://rt.cpan.org/Public/Bug/Display.html?id=130671

Comment 4 Dominik 'Rathann' Mierzejewski 2019-10-08 09:09:45 UTC
Rpmlint
-------
Checking: perl-WebService-MusicBrainz-1.0.5-2.fc32.noarch.rpm
          perl-WebService-MusicBrainz-1.0.5-2.fc32.src.rpm
perl-WebService-MusicBrainz.noarch: W: invalid-license Artistic
perl-WebService-MusicBrainz.src: W: invalid-license Artistic
perl-WebService-MusicBrainz.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 10)
perl-WebService-MusicBrainz.src: E: specfile-error warning: bogus date in %changelog: Mon Oct 06 2019 Gerald Cox <gbcox@
fedoraproject.org> - 1.0.5-2
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

-> Please fix mixed spaces and tabs and bogus date in changelog.
    
Rpmlint (installed packages)
----------------------------
perl-WebService-MusicBrainz.noarch: W: description-shorter-than-summary
perl-WebService-MusicBrainz.noarch: W: invalid-license Artistic
perl-WebService-MusicBrainz.noarch: W: invalid-url URL: https://metacpan.org/release/WebService-MusicBrainz <urlopen err
or [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

-> Could you change the %description to:
This module will search the MusicBrainz database through their web service and
return objects with the found data.

I would also make the files list a bit more specific:
%files
%doc Changes README.md
%{_mandir}/man3/WebService::MusicBrainz*.3pm*
%{perl_vendorlib}/WebService

The above can be fixed while importing. The rest is fine, so package is APPROVED.

Comment 5 Gwyn Ciesla 2019-10-08 15:02:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-WebService-MusicBrainz

Comment 6 Fedora Update System 2019-10-08 16:47:00 UTC
FEDORA-2019-63cd1d0d46 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-63cd1d0d46

Comment 7 Fedora Update System 2019-10-08 16:47:18 UTC
FEDORA-2019-c43a59039d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c43a59039d

Comment 8 Fedora Update System 2019-10-08 16:47:34 UTC
FEDORA-2019-68d69acb8d has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-68d69acb8d

Comment 9 Fedora Update System 2019-10-09 03:25:28 UTC
perl-WebService-MusicBrainz-1.0.5-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-63cd1d0d46

Comment 10 Fedora Update System 2019-10-09 17:39:54 UTC
perl-WebService-MusicBrainz-1.0.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c43a59039d

Comment 11 Fedora Update System 2019-10-09 18:58:08 UTC
perl-WebService-MusicBrainz-1.0.5-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-68d69acb8d

Comment 12 Fedora Update System 2019-10-18 00:48:22 UTC
perl-WebService-MusicBrainz-1.0.5-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-10-18 16:53:20 UTC
perl-WebService-MusicBrainz-1.0.5-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-10-26 17:23:49 UTC
perl-WebService-MusicBrainz-1.0.5-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.